View Issue Details

IDProjectCategoryView StatusLast Update
0002488DraftFeaturepublic2019-02-19 02:25
ReporterEdgarRobles Assigned Toyorik  
PrioritynormalSeveritymajorReproducibilityalways
Status assignedResolutionopen 
PlatformLinux/GNUOSUbuntu OS Version14.04.4 LTS
Product Version 
Target Version0.19Fixed in Version 
Summary0002488: Standard paths issues from import SVG to FreeCAD
Descriptionhttp://forum.freecadweb.org/viewtopic.php?f=3&t=15093
Tags#pending, Inkscape, SVG
FreeCAD Information

Relationships

related to 0003355 closed File formats SVG importer: regression from 0.16 to 0.17 

Activities

EdgarRobles

2016-04-02 16:48

reporter  

Bug.svg (14,352 bytes)

yorik

2019-02-19 02:25

administrator   ~0012679

This is a complex problem, the different ellipse segments are correctly read and rendered by FreeCAD, the difficulty is to turn them into a wire, probably becasue some precision issue occurs. I did a partial fix in 60d6a2149 but there is more needed.

In any case this is not a critical issue as it concerns a very specific file, so I don't think we need to keep it as a 0.18 showstopper.

yorik

2019-02-19 02:25

administrator  

ellipse-edges.FCStd (9,147 bytes)

Issue History

Date Modified Username Field Change
2016-04-02 16:48 EdgarRobles New Issue
2016-04-02 16:48 EdgarRobles File Added: Bug.svg
2016-04-02 17:05 yorik Assigned To => yorik
2016-04-02 17:05 yorik Status new => assigned
2016-04-02 17:05 yorik Project File formats => Draft
2017-02-20 19:58 Kunda1 Summary Standart paths issues from import SVG to FreeCAD => Standard paths issues from import SVG to FreeCAD
2017-02-20 19:58 Kunda1 Tag Attached: SVG
2017-07-12 12:48 Kunda1 Tag Attached: #pending
2017-07-12 12:48 Kunda1 Tag Attached: Inkscape
2017-10-11 03:58 Kunda1 Steps to Reproduce Updated View Revisions
2018-02-13 00:32 Kunda1 Target Version => 0.18
2018-03-03 10:35 Kunda1 Relationship added related to 0003355
2019-02-19 02:25 yorik Note Added: 0012679
2019-02-19 02:25 yorik Target Version 0.18 => 0.19
2019-02-19 02:25 yorik File Added: ellipse-edges.FCStd